import BasicService from "./BasicService";

/**
 * @desc 全局服务
 */
class CalculateService extends BasicService {
  constructor() {
    super();
  }
  //获取人员确认列表信息
  getPCDataList = async ({ url, queryParams }: any) => {
    const { departmentIds = "", positionIds = "", subcompanyIds="", ...extraParams } = queryParams || {};
    queryParams = {
      ...extraParams,
      departmentIds: departmentIds ? departmentIds.split(",") : undefined,
      positionIds: positionIds ? positionIds.split(",") : undefined,
      subcompanyIds: subcompanyIds ? subcompanyIds.split(",") : undefined
    };
    for (let key in queryParams) {
      if (queryParams[key] === "" || queryParams[key] === "0") {
        delete queryParams[key];
      }
    }
    return this.post(
      url,
      queryParams
    );
  };
}

const calculateService = new CalculateService();

export default calculateService;
